namespace IrrlichtNetSwig
{
    public partial class arrayQuake3SVarGroup
    {
        public SVarGroup this[uint index]
        {
            get
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                return getValue(index);
            }
            set
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                setValue(index, value);
            }
        }
        public static implicit operator arrayQuake3SVarGroup(SVarGroup[] other)
        {
            var arr = new arrayQuake3SVarGroup((uint)other.Length);
            for (uint i = 0; i < other.Length; i++)
            {
                arr.push_back(other[i]);
            }
            return arr;
        }
        public SVarGroup[] ToArray()
        {
            var arr = new SVarGroup[size()];
            for (uint i = 0; i < size(); i++)
            {
                arr[i] = this.getValue(i);
            }
            return arr;
        }
    }
}